Bug 466729 - Package rhn-ssl-cert-check-1.4-10.6.noarch.rpm is both in RHEL 4 and RHEL 5 composes
Package rhn-ssl-cert-check-1.4-10.6.noarch.rpm is both in RHEL 4 and RHEL 5 c...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Release (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Preethi Thomas
:
Depends On:
Blocks: 446877
  Show dependency treegraph
 
Reported: 2008-10-13 05:42 EDT by Jan Pazdziora
Modified: 2008-11-05 13:42 EST (History)
2 users (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:42:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-10-13 05:42:48 EDT
Description of problem:

Package rhn-ssl-cert-check-1.4-10.6.noarch.rpm is both in RHEL 4 and RHEL 5 composes. That is not good because we will need different signature keys for those different OSes.

Version-Release number of selected component (if applicable):

Satellite-5.2.0-RHEL4-re20081010.0
Satellite-5.2.0-RHEL5-re20081010.0

How reproducible:

Deterministic.

Steps to Reproduce:
1. $ ls -la /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20081010.0/i386/i386/Satellite/rhn-ssl-cert-check-1.4-10.6.noarch.rpm 
-rw-r--r-- 668 root root 7412 2008-04-14 19:54 /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20081010.0/i386/i386/Satellite/rhn-ssl-cert-check-1.4-10.6.noarch.rpm
$ ls -la /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL5-re20081010.0/i386/i386/Satellite/rhn-ssl-cert-check-1.4-10.6.noarch.rpm 
-rw-r--r-- 668 root root 7412 2008-04-14 19:54 /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL5-re20081010.0/i386/i386/Satellite/rhn-ssl-cert-check-1.4-10.6.noarch.rpm
  
Actual results:

The same file (same name and all).

Expected results:

The files should not be the same.

Additional info:
Comment 1 Jan Pazdziora 2008-10-14 03:45:45 EDT
Packages rhn-ssl-cert-check-1.4-10.7.el5 and rhn-ssl-cert-check-1.4-10.7.el4 built and tagged.
Comment 2 Jan Pazdziora 2008-10-14 07:29:21 EDT
I've checked that the *.py does not differ from rhn-ssl-cert-check-1.4-10.6.noarch.rpm.
Comment 3 Jan Pazdziora 2008-10-14 07:30:22 EDT
New composes Satellite-5.2.0-RHEL4-re20081014.1 and Satellite-5.2.0-RHEL5-re20081014.1 were made, moving ON_QA.
Comment 4 Preethi Thomas 2008-10-15 10:43:00 EDT
verified
Comment 5 Steve Salevan 2008-10-21 17:02:54 EDT
Differing rhn-ssl-cert-check RPMs found in RHEL4/5 composes pushed to Stage; moving to RELEASE_PENDING.
Comment 6 Brandon Perkins 2008-11-05 13:42:42 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.